summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pedro Mendes <pedro@gepasi.org>2011-12-21 23:50:15 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-12-21 23:50:15 -0600
commit9639f2f744dad84cea8fe57bf7cc4e0b64ffb03c (patch)
tree88e0df4b63fe6e4701f8545599f7c075aaf24aa5
parentd74ce3a23f591fdd59d28a475ff59d87852a7647 (diff)
downloadslackbuilds-9639f2f744dad84cea8fe57bf7cc4e0b64ffb03c.tar.gz
slackbuilds-9639f2f744dad84cea8fe57bf7cc4e0b64ffb03c.tar.xz
academic/copasi: Added (modeling/simulation of biochemical networks)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--academic/copasi/README16
-rw-r--r--academic/copasi/copasi.SlackBuild80
-rw-r--r--academic/copasi/copasi.desktop8
-rw-r--r--academic/copasi/copasi.info10
-rw-r--r--academic/copasi/doinst.sh3
-rw-r--r--academic/copasi/slack-desc19
6 files changed, 136 insertions, 0 deletions
diff --git a/academic/copasi/README b/academic/copasi/README
new file mode 100644
index 0000000000..e32cb06d9c
--- /dev/null
+++ b/academic/copasi/README
@@ -0,0 +1,16 @@
+COPASI is a package for modeling and simulation of biochemical networks,
+popular in the field of systems biology.
+
+COPASI is a stand-alone program that simulates models of biochemical
+networks using ODE solvers or Gillespie's stochastic simulation
+algorithm. COPASI is compatible with models in SBML format. It also
+performs several analyses, such as steady state, stability, parameter
+sensitivity, elementary modes, Lyapunov exponents, optimization, and
+parameter estimation. Data can be visualized in plots, histograms and
+animations of network diagrams. COPASI's GUI is based on QT, but a
+command line version is also included that allows for processing
+computations in batch mode.
+
+COPASI is a collaboration between research groups at the Virginia
+Bioinformatics Institute, University of Heidelberg, University of
+Manchester and previously in the EML-Research.
diff --git a/academic/copasi/copasi.SlackBuild b/academic/copasi/copasi.SlackBuild
new file mode 100644
index 0000000000..3bd13424e4
--- /dev/null
+++ b/academic/copasi/copasi.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for copasi
+
+# Copyright 2011 Pedro Mendes, Blacksburg, Virginia, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=copasi
+VERSION=35
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ BINNAME="Linux-Dynamic"
+elif [ "$ARCH" = "x86_64" ]; then
+ BINNAME="Linux64-Dynamic"
+else
+ echo "$ARCH is not supported by the $PRGNAM build script..."
+ exit 1
+fi
+
+# This is a repackage of a binary distribution
+# CFLAGS are not required
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/Copasi-$VERSION-$BINNAME.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/bin $PKG/usr/share/{copasi,pixmaps,applications}
+cp -a bin/* $PKG/usr/bin/
+cp -r share/copasi $PKG/usr/share
+cp $CWD/copasi.desktop $PKG/usr/share/applications/copasi.desktop
+cp share/copasi/icons/Copasi48-Alpha.xpm $PKG/usr/share/pixmaps/copasi.xpm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/copasi/copasi.desktop b/academic/copasi/copasi.desktop
new file mode 100644
index 0000000000..f584994221
--- /dev/null
+++ b/academic/copasi/copasi.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Exec=COPASIDIR=/usr CopasiUI
+Icon=/usr/share/pixmaps/copasi.xpm
+Type=Application
+Categories=Education;Science;
+Name=COPASI
+GenericName=Biochemical simulation
+StartupNotify=true
diff --git a/academic/copasi/copasi.info b/academic/copasi/copasi.info
new file mode 100644
index 0000000000..43b4a01aa3
--- /dev/null
+++ b/academic/copasi/copasi.info
@@ -0,0 +1,10 @@
+PRGNAM="copasi"
+VERSION="4.8.35"
+HOMEPAGE="http://www.copasi.org"
+DOWNLOAD="http://www.comp-sys-bio.org/mirror.copasi.org/Copasi-35-Linux-Dynamic.tar.gz"
+MD5SUM="77446a83c0ce08fb62f0f735857bdd82"
+DOWNLOAD_x86_64="http://www.comp-sys-bio.org/mirror.copasi.org/Copasi-35-Linux64-Dynamic.tar.gz"
+MD5SUM_x86_64="671adba5851f76851499ba7ddb2253b5"
+MAINTAINER="Pedro Mendes"
+EMAIL="pedro@gepasi.org"
+APPROVED="rworkman"
diff --git a/academic/copasi/doinst.sh b/academic/copasi/doinst.sh
new file mode 100644
index 0000000000..140e332222
--- /dev/null
+++ b/academic/copasi/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/academic/copasi/slack-desc b/academic/copasi/slack-desc
new file mode 100644
index 0000000000..ed42a91819
--- /dev/null
+++ b/academic/copasi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+copasi: COPASI (tool for modeling and simulation of biochemical networks)
+copasi:
+copasi: COPASI is a stand-alone program that simulates models of biochemical
+copasi: networks using ODE solvers or Gillespie's stochastic simulation
+copasi: algorithm. COPASI is compatible with models in SBML format. It also
+copasi: performs several analyses: stability, parameter sensitivity,
+copasi: elementary modes, Lyapunov exponents, optimization, and parameter
+copasi: estimation. Data can be visualized in plots, histograms and animations
+copasi: of network diagrams. Both GUI and a command line version are included.
+copasi:
+copasi: Homepage: http://www.copasi.org/